%define name kfontinst
%define version 0.10
%define release 1mdk

Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Summary: 	KDE-based TrueType and Type1 font installer
Group: 		Graphical desktop/Other
URL: 		http://www.cpdrummond.uklinux.net/kfontinst/
Buildroot: 	%_tmppath/%name-buildroot
Source: 	%name-%version.tar.bz2
License: 	GPL
Requires: 	XFree86-libs, libmng1 
BuildRequires:  gcc-cpp db3 readline pam popt libtermcap2 zlib1 XFree86-devel XFree86-static-libs
BuildRequires:  automake autoconf diffutils file m4 texinfo gettext freetype-devel libjpeg62-devel
BuildRequires:  kdelibs-devel gcc-c++ libbinutils2 libbzip2_1 db1 kdelibs libqt2-devel
BuildRequires:  libqt2 rpm-build

%description
KFontinst is a KDE-based TrueType and Type1 font installer.
Its features include : the ability to preview fonts before 
installing, generation  of a Ghostscript  Fontmap  file 
(including aliases for Qt-generated Postscript), StarOffice 
configuration, XftConfig configuration ( anti-aliasing ), 
and generation  of AFM  files  for use  with   StarOffice 
& AbiWord.


%prep

%setup -q 

%build
CFLAGS="%optflags" CXXFLAGS="%optflags" \
./configure --prefix=%_prefix \
            --mandir=%_mandir \
	    --datadir=%_datadir \
	    --disable-rpath \
	    --disable-debug \
	    --enable-final

%make

%install

%makeinstall
install -d %buildroot/%_menudir/

# used kdedesktop2mdkmenu otherwise we don't save librairie name
kdedesktop2mdkmenu.pl kfontinst Configuration/KDE/System %buildroot/%_datadir/applnk/Settings/System/kfontinst.desktop %buildroot/%_menudir/kfontinst kde



%post 
/sbin/ldconfig
%update_menus
  
%postun 
/sbin/ldconfig
%clean_menus  

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog  README TODO
%dir %_datadir/apps/kfontinst/

%_libdir/libkcm_kfont*
%_datadir/apps/kfontinst/*
%_datadir/icons/hicolor/32x32/apps/kfontinst.png
%_datadir/icons/hicolor/48x48/apps/kfontinst.png 
%_datadir/icons/locolor/32x32/apps/kfontinst.png
%_datadir/icons/locolor/16x16/apps/kfontinst.png

%dir %_docdir/HTML/en/kcontrol
%_docdir/HTML/en/kcontrol/font-installer.html

%_datadir/applnk/Settings/System/*
%_menudir/*

%changelog
* Mon Oct 22 2001 Laurent Culioli <laurent@mandrakesoft.com> 0.10-1mdk
- updated to 0.10
- last version before kde3 ( kfontinst will be included in kde3 package )

* Thu Sep 13 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.10b11-2mdk
- Fix menu entry 

* Wed Aug 22 2001 Laurent Culioli <laurent@mandrakesoft.com> 0.10b11-1mdk
- updated to 0.10b11

* Wed Aug 22 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.10b3-2mdk
- Fix menu entry

* Mon Jun 11 2001 Laurent Culioli <laurent@mandrakesoft.com> 0.10b3-1mdk
- updated to 0.10b3
- added freetype2-devel to BuildRequires
- updated description
- reshaped section %file 

* Tue Apr 10 2001 David BAUDENS <baudens@mandrakesoft.com> 0.9.2-5mdk
- Move KDE menu entry in %%_datadir/applnk
- Really use optimizations
- Fix BuildRequires for non %%ix86 architectures
- Rebuild against latest GCC

* Thu Mar 29 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9.2-4mdk
- Clean spec and add build requires

* Tue Mar 20 2001 David BAUDENS <baudens@mandrakesoft.com> 0.9.2-3mdk
- Rebuild against Qt 2.3.0

* Wed Feb 21 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.9.2-2mdk
- added requires on libmng1

* Fri Jan 12 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.9.2-1mdk
- updated to 0.9.2

* Wed Jan 03 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.9.1-2mdk
- fix description

* Tue Jan 02 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.9.1-1mdk
- new in contribs 

